Skip to end of metadata
Go to start of metadata

Grouper Product Specs and requirements as of v2.5

       Component

Details 

RDBMS

  • Grouper is supported only on Postgres, Oracle, MySQL (note: works with Postgres v9, might have issues with v10).  Postgres is preferred.

Container

Authentication

User Interface - Servlet container, REMOTE_USER via servlet container, or user-installable servlet filter.  

Web Services - Servlet container, HTTP Basic, HTTP Basic with Kerberos, Rampart, or user-installable plug-in.

Grouper v2.5+ also has built in authentication for both the UI and Web Services.

Java

  • No longer applicable since Grouper runs in a container with Java already installed.  However, if you're pulling the Grouper API from Maven (e.g. to integrate with a custom application), then JDK v8 or later is required.  To run the Grouper installer (for a container quick start), or the Grouper client (for web services), Java8 is required.

Browser Requirements

  • Modern common browser (e.g. latest Chrome, Firefox, IE)
  • cookies must be enabled
  • javascript must be enabled
  • AJAX compatible

Grouper Product Specs as of v2.4.0

       Component

Details 

RDBMS

  • Grouper is supported on Oracle, MySQL, and PostgreSQL (note: works with Postgres v9, might have issues with v10) 
    Note: Grouper does not support MSSQL  
  • Object persistence is provided by Hibernate and JDBC so you might be able to use other databases. There have been performance issues on large deployments on SQL server.

Java Servlet Container

  • Servlet API Version 3.1.
  • The recommended Tomcat version is 8.5
  • The TIER SCIM API runs on TomEE

Authentication

User Interface - Servlet container, REMOTE_USER via servlet container, or user-installable servlet filter.  

Web Services - Servlet container, HTTP Basic, HTTP Basic with Kerberos, Rampart, or user-installable plug-in.

Java

  • JDK v8 or later.
    • You should use the PSPNG. Java8 in the deprecated PSP can have scripting problems with the example code. If you run the PSP use Java7.
  • Minimum heap memory size: 500M. (-Xmx500M) (needs to be larger for big deployments)

Browser Requirements

  • Modern common browser (e.g. latest Chrome, Firefox, IE)
  • cookies must be enabled
  • javascript must be enabled
  • AJAX compatible

Grouper Product Specs as of v2.3.0

       Component

Details 

RDBMS

  • Object persistence is provided by Hibernate v3.2.6 (v3.6.7 in Grouper 2.1+) (custom hibernate 3.6.7 in Grouper 2.2.0+_, which in turn uses JDBC to connect with a back-end RDBMS.
  • DDL is generated by Apache's DdlUtils. Grouper is currently tested against Oracle, MySQL, PostgreSQL, SQL Server but should work with most databases that implement views and are supported by Hibernate. 
  • If you are using SQL Server, the packaged JDBC driver for SQL Server along with jTDS 1.2.5 are known to work properly, though SQL server does not have as good of performance as Oracle, MySQL, or postgres.

Java Servlet Container

  • Servlet API Version 2.3.
  • Known to run properly in Apache Tomcat 6.0. ( Tomcat 8.5 is also an option in the installer.)
  • Have not tested/verified other servlet containers.

Authentication

User Interface - Servlet container, REMOTE_USER via servlet container, or user-installable servlet filter.  
Contributions: Yale CAS authentication filter.
Web Services - Servlet container, HTTP Basic, HTTP Basic with Kerberos, Rampart, or user-installable plug-in.

Java

  • JDK v6.0.13 or later. Java8 in the PSP can have scripting problems with the example code. For now stay with Java 7 or 6.
  • Minimum permgen memory size: 130M (-XX:MaxPermSize=130M) (needs to be larger if more classes loaded)
  • Minimum heap memory size: 500M. (-Xmx500M) (needs to be larger for big deployments)

Compiler

Ant v1.7.0 or later. Ensure that Ant can process Tomcat tasks by verifying that tools.jar (found in $JAVA_HOME/lib) and catalina-ant.jar (in $TOMCAT_HOME/server/lib) are in the classpath.

Browser Requirements

  • XHTML 1.0
  • CSS 2.1
  • cookies must be enabled
  • javascript must be enabled
  • AJAX compatible



  • No labels